package com.tongcheng.yule.wxapi;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.util.Log;
import com.tencent.mm.sdk.modelbase.BaseReq;
import com.tencent.mm.sdk.modelbase.BaseResp;
import com.tencent.mm.sdk.modelmsg.SendAuth;
import com.tencent.mm.sdk.modelmsg.SendMessageToWX;
import com.tencent.mm.sdk.modelmsg.WXAppExtendObject;
import com.tencent.mm.sdk.modelmsg.WXImageObject;
import com.tencent.mm.sdk.modelmsg.WXMediaMessage;
import com.tencent.mm.sdk.modelmsg.WXTextObject;
import com.tencent.mm.sdk.modelmsg.WXWebpageObject;
import com.tencent.mm.sdk.openapi.IWXAPI;
import com.tencent.mm.sdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.sdk.openapi.WXAPIFactory;
import java.io.File;
import org.cocos2dx.cpp.Native;
import org.cocos2dx.cpp.Util;
/* loaded from: classes.dex */
public class WXEntryActivity extends Activity implements IWXAPIEventHandler {
    public static final String APP_ID = "wx87e4306ae9240269";
    public static final String AppSecret = "44e8df0a611cd3e5718f05bc2b593db0";
    private static final int SceneSession = 0;
    private static final int SceneTimeline = 1;
    private static final int THUMB_SIZE = 150;
    private static final int TIMELINE_SUPPORTED_VERSION = 553779201;
    private IWXAPI api;
    public static String Tag = "WXEntryActivity";
    private static WXEntryActivity sContext = null;
    public static boolean bLogonWX = false;
    public static String ReqWxLogin = "ReqWxLogin";
    public static String ReqWxShareImg = "ReqWxShareImg";
    public static String ReqWxShareTxt = "ReqWxShareTxt";
    public static String ReqWxShareUrl = "ReqWxShareUrl";
    public static String ReqWXPay = "ReqWXPay";

    private String buildTransaction(String paramString) {
        if (paramString != null) {
            String str = paramString + System.currentTimeMillis();
            return str;
        }
        String str2 = String.valueOf(System.currentTimeMillis());
        return str2;
    }

    @Override // android.app.Activity
    public void onCreate(Bundle paramBundle) {
        super.onCreate(paramBundle);
        sContext = this;
        Log.d(Tag, "onCreate");
        Intent localIntent = getIntent();
        this.api = WXAPIFactory.createWXAPI(this, APP_ID, true);
        this.api.registerApp(APP_ID);
        this.api.handleIntent(localIntent, this);
        if (!localIntent.hasExtra(ReqWxLogin)) {
            if (!localIntent.hasExtra(ReqWxShareImg)) {
                if (!localIntent.hasExtra(ReqWxShareTxt)) {
                    if (localIntent.hasExtra(ReqWxShareUrl)) {
                        reqShareUrl(localIntent.getStringExtra("ShareUrl"), localIntent.getStringExtra("ShareTitle"), localIntent.getStringExtra("ShareDesc"), localIntent.getIntExtra("ShareType", 0));
                    }
                } else {
                    reqShareTxt(localIntent.getStringExtra("ShareText"), localIntent.getIntExtra("ShareType", 0));
                }
            } else {
                reqShareImg(localIntent.getStringExtra("ImgPath"), localIntent.getIntExtra("ShareType", 0));
            }
        } else {
            reqLogin();
        }
        finish();
    }

    @Override // android.app.Activity
    protected void onNewIntent(Intent paramIntent) {
        super.onNewIntent(paramIntent);
        setIntent(paramIntent);
        this.api.handleIntent(paramIntent, this);
    }

    @Override // com.tencent.mm.sdk.openapi.IWXAPIEventHandler
    public void onReq(BaseReq paramBaseReq) {
        switch (paramBaseReq.getType()) {
            case 3:
                Log.d(Tag, "onReq:COMMAND_GETMESSAGE_FROM_WX");
                break;
            case 4:
                Log.d(Tag, "onReq:COMMAND_SHOWMESSAGE_FROM_WX");
                break;
        }
        Log.d(Tag, "onReq:" + paramBaseReq.getType());
    }

    @Override // com.tencent.mm.sdk.openapi.IWXAPIEventHandler
    public void onResp(BaseResp paramBaseResp) {
        Log.d(Tag, "errCode:" + paramBaseResp.errCode);
        switch (paramBaseResp.errCode) {
            case BaseResp.ErrCode.ERR_AUTH_DENIED /* -4 */:
                Native.WxLoginGetAccessToken("ERR_AUTH_DENIED");
                return;
            case BaseResp.ErrCode.ERR_SENT_FAILED /* -3 */:
            case -1:
            default:
                Native.WxLoginGetAccessToken("REE_Unknow");
                return;
            case BaseResp.ErrCode.ERR_USER_CANCEL /* -2 */:
                Native.WxLoginGetAccessToken("ERR_USER_CANCEL");
                return;
            case 0:
                String str = "wx87e4306ae9240269:44e8df0a611cd3e5718f05bc2b593db0:" + ((SendAuth.Resp) paramBaseResp).code + ":authorization_code";
                Log.d(Tag, str);
                Native.WxLoginGetAccessToken(str);
                return;
        }
    }

    public void reqLogin() {
        SendAuth.Req localReq = new SendAuth.Req();
        localReq.scope = "snsapi_userinfo";
        localReq.state = "carjob_wx_login";
        this.api.sendReq(localReq);
        Log.d(Tag, "reqLogin");
    }

    public void reqShareImg(String paramString, int paramInt) {
        if (new File(paramString).exists()) {
            Bitmap localObject1 = BitmapFactory.decodeFile(paramString);
            WXImageObject localObject2 = new WXImageObject(localObject1);
            WXMediaMessage localWXMediaMessage = new WXMediaMessage();
            localWXMediaMessage.mediaObject = localObject2;
            Bitmap localObject22 = Bitmap.createScaledBitmap(localObject1, 128, 72, true);
            localObject1.recycle();
            localWXMediaMessage.thumbData = Util.bmpToByteArray(localObject22, true);
            SendMessageToWX.Req localObject12 = new SendMessageToWX.Req();
            localObject12.transaction = buildTransaction("img");
            localObject12.message = localWXMediaMessage;
            if (paramInt != 1) {
                if (paramInt == 0) {
                    localObject12.scene = 0;
                }
            } else {
                localObject12.scene = 1;
            }
            this.api.sendReq(localObject12);
            Log.d(Tag, "reqShare Ok:" + paramString);
            return;
        }
        Log.d(Tag, "reqShare file not exists:" + paramString);
    }

    public void reqShareTxt(String paramString, int paramInt) {
        WXTextObject localObject = new WXTextObject();
        localObject.text = paramString;
        WXMediaMessage localWXMediaMessage = new WXMediaMessage();
        localWXMediaMessage.mediaObject = localObject;
        localWXMediaMessage.description = paramString;
        SendMessageToWX.Req localObject2 = new SendMessageToWX.Req();
        localObject2.transaction = buildTransaction("text");
        localObject2.message = localWXMediaMessage;
        if (paramInt != 1) {
            if (paramInt == 0) {
                localObject2.scene = 0;
            }
        } else {
            localObject2.scene = 1;
        }
        this.api.sendReq(localObject2);
        Log.d(Tag, "reqShareTxt Ok:" + paramString);
    }

    public void reqShareTxtCB(String paramString, int paramInt) {
        WXAppExtendObject localObject = new WXAppExtendObject("lallalallallal", "filePath");
        if (!localObject.checkArgs()) {
            Log.d(Tag, "reqShareTxtCB Error:" + paramString);
        }
        WXMediaMessage localWXMediaMessage = new WXMediaMessage();
        localWXMediaMessage.title = "11";
        localWXMediaMessage.description = "22";
        localWXMediaMessage.mediaObject = localObject;
        SendMessageToWX.Req localObject2 = new SendMessageToWX.Req();
        localObject2.transaction = buildTransaction("appdata");
        localObject2.message = localWXMediaMessage;
        if (paramInt != 1) {
            if (paramInt == 0) {
                localObject2.scene = 0;
            }
        } else {
            localObject2.scene = 1;
        }
        this.api.sendReq(localObject2);
        Log.d(Tag, "reqShareTxtCB Ok:" + paramString);
    }

    public void reqShareUrl(String paramString1, String paramString2, String paramString3, int paramInt) {
        WXWebpageObject localObject = new WXWebpageObject();
        localObject.webpageUrl = paramString1;
        WXMediaMessage localWXMediaMessage = new WXMediaMessage();
        localWXMediaMessage.mediaObject = localObject;
        localWXMediaMessage.title = paramString2;
        localWXMediaMessage.description = paramString3;
        SendMessageToWX.Req localObject2 = new SendMessageToWX.Req();
        localObject2.transaction = buildTransaction("webpage");
        localObject2.message = localWXMediaMessage;
        if (paramInt != 1) {
            if (paramInt == 0) {
                localObject2.scene = 0;
            }
        } else {
            localObject2.scene = 1;
        }
        this.api.sendReq(localObject2);
        Log.d(Tag, "reqShareUrl Ok:" + paramString1);
    }
}
